aboutsummaryrefslogtreecommitdiffstats
path: root/community/xterm/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'community/xterm/APKBUILD')
-rw-r--r--community/xterm/APKBUILD64
1 files changed, 64 insertions, 0 deletions
diff --git a/community/xterm/APKBUILD b/community/xterm/APKBUILD
new file mode 100644
index 0000000000..0a56c54456
--- /dev/null
+++ b/community/xterm/APKBUILD
@@ -0,0 +1,64 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer: Jakub Jirutka <jakub@jirutka.cz>
+pkgname=xterm
+pkgver=325
+pkgrel=0
+pkgdesc="X Terminal Emulator"
+url="http://invisible-island.net/xterm"
+arch="all"
+license="custom"
+depends=""
+makedepends="libxaw-dev libxft-dev ncurses-dev"
+subpackages="$pkgname-doc"
+source="ftp://invisible-island.net/$pkgname/$pkgname-$pkgver.tgz
+ posix-ptys.patch"
+builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+ cd "$builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ --with-x \
+ --disable-full-tgetent \
+ --disable-imake \
+ --enable-ansi-color \
+ --enable-88-color \
+ --enable-256-color \
+ --enable-broken-osc \
+ --enable-broken-st \
+ --enable-load-vt-fonts \
+ --enable-i18n \
+ --enable-wide-chars \
+ --enable-doublechars \
+ --enable-warnings \
+ --enable-tcap-query \
+ --enable-logging \
+ --enable-dabbrev \
+ --enable-freetype \
+ --enable-luit \
+ --enable-mini-luit \
+ --enable-narrowproto \
+ --enable-exec-xterm \
+ --with-tty-group=tty \
+ --with-utempter \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="e78a0bbc4d5fa3780917e447ae8ebc6b xterm-325.tgz
+9a6939a624949287671ca076f5b92543 posix-ptys.patch"
+sha256sums="3b31b07a0c40427e9330ec3be9d1a748c72808f945953cea9e526e48be315f1b xterm-325.tgz
+c90d715cb7667ac91fd2697caaf1abce70e46ca0cf14eabf5e17dc305e3cb84c posix-ptys.patch"
+sha512sums="7049a013967cb90eb196684e7d6d0664cd0d7c86154fba318493d9249e973a4bf591861cbbc051a80184ef427aad75774b15d79cb571d3f82482c1b51e7a99f4 xterm-325.tgz
+03722dc3ebe8067a1edf4673ce2e5132832e52818f4e122bfbd3846a4ebf0ca25bea999d98455b87ec572931becbbb0432e22c75b0fb5371a81c8acf0c4e9f98 posix-ptys.patch"